Update Webhook Endpoint
curl --request PATCH \
--url https://api.example.com/webhooks/{webhook_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"url": "<string>",
"secret": "<string>",
"description": "<string>",
"is_active": true
}
'import requests
url = "https://api.example.com/webhooks/{webhook_id}"
payload = {
"name": "<string>",
"url": "<string>",
"secret": "<string>",
"description": "<string>",
"is_active": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
secret: '<string>',
description: '<string>',
is_active: true
})
};
fetch('https://api.example.com/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"url": "<string>",
"event_type": "<string>",
"is_active": true,
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_triggered_at": "2023-11-07T05:31:56Z",
"failure_count": 123,
"success_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}webhooks
Update Webhook Endpoint
Обновить webhook.
PATCH
/
webhooks
/
{webhook_id}
Update Webhook Endpoint
Authorizations
Path Parameters
Body
application/json
Response
Successful Response
⌘I
